sc::OSSHF(3)

NAME
sc::OSSHF -

SYNOPSIS

Inherits sc::OSSSCF'.

  Public Member Functions
OSSHF (StateIn &)
OSSHF (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object'.
void two_body_energy (double &ec, double &ex)
int value_implemented () const
Information about the availability of values, gradients, and hessians'.
int gradient_implemented () const

  Protected Member Functions
void ao_fock (double accuracy)
void two_body_deriv (double *)

Member Function Documentation

  void sc::OSSHF::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::OSSSCF'.

  int sc::OSSHF::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians'.

Reimplemented from sc::Function'.

Author

Generated automatically by Doxygen for MPQC from the source code'.